<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Context\Admin;

use Dedi\SyliusStockHistoryPlugin\Context\InventoryLogContextInterface;
use Dedi\SyliusStockHistoryPlugin\Enum\InventoryLogEntryType;

class PaymentCompleteContext implements InventoryLogContextInterface
{
    public static function getType(): string
    {
        return InventoryLogEntryType::ADMIN_PAYMENT_COMPLETE->value;
    }

    public function getRoutes(): array
    {
        return [
            'sylius_admin_order_payment_complete',
        ];
    }
}
