<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Context\Shop;

use Dedi\SyliusStockHistoryPlugin\Context\InventoryLogContextInterface;
use Dedi\SyliusStockHistoryPlugin\Enum\InventoryLogEntryType;

class PaymentCompleteContext implements InventoryLogContextInterface
{
    public static function getType(): string
    {
        return InventoryLogEntryType::SHOP_PAYMENT_COMPLETE->value;
    }

    public function getRoutes(): array
    {
        return [
            'sylius_shop_order_after_pay',
        ];
    }
}
